#include <stdio.h>

/*-------------------------------------------------------------
usage
-------------------------------------------------------------*/
void usage()
{
  puts("seq   version 1.0   Jean-Louis Bicquelet (c)2005");
  puts("");
  puts("seq n          display from 1 to n");
  puts("seq from to    display nombre from from to to");
  puts("seq -h         display usage");
  puts("seq -m         display man page");
  puts("");
  puts("from can be less than to. In that case seq decrease");

  puts("ex: seq 1 10 displays numbers 1 to 10");
  puts("ex: seq 21 10 displays numbers 21 to 10");
}

/*-------------------------------------------------------------
man page
-------------------------------------------------------------*/
void man()
{
     puts("NAME");
     puts("   seq - print a sequence of numbers");
     puts("SYNOPSIS");
     puts("   seq [-h|-m] LAST");
     puts("   seq LAST");
     puts("   seq FIRST LAST");
     puts("");
     puts("DESCRIPTION");
     puts("  Print numbers from FIRST to LAST, in steps of one");
     puts("  seq is an emulation for AIX of the seq linux command.");
     puts("   All options aren't available.");
     puts("");
     puts("AUTHOR");
     puts("   Jean-Louis BICQUELET");
     puts("");
     puts("REPORTING BUGS");
     puts("   Report bugs to <jlbicquelet@free.fr>.");
     puts("");
     puts("COPYRIGHT");
     puts("  Copyright  2006 Free Software Foundation, Inc. This is free software.");
     puts("  You may redistribute copies of it under the terms of the GNU General Public");
     puts("  License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY,");
     puts(" to the extent permitted by law. ");
     puts("");
     puts("SEE ALSO");
     puts("   linux seq man page");
}

/*=================================================================
fournit une squence
=================================================================*/
void main(int argc,char *argv[])
{
  int i;
  int d,f;

  /* with less than one or more than 2 arguments usage will be displayed */
  if(argc<2 || argc>3) { usage(); exit(); }

  /* One argument only it can be usage, man page or a sequence from 1 to n */
  if(argc==2)
  {
    if (strcmp(argv[1],"-h")==0) { usage(); exit(); }
    if (strcmp(argv[1],"-m")==0) { man(); exit(); }

    d=1;
    f=atoi(argv[1]);
  }

  /* with 2 arguments you realize a loop from a number to an other */
  if(argc==3)
  {
    d=atoi(argv[1]);
    f=atoi(argv[2]);
  }

  /* ascending or descending */
  if(d<=f)
    { for(i=d;i<=f;i++)  printf("%i ",i); }
  else
    { for(i=d;i>=f;i--)  printf("%i ",i); }
}
